package cs206proj.part3;

//
// A class for testing out Dictionary implementations
// Copyright (c) 2000 Tia Newhall, Lisa Meeden


import java.util.*;

public class TryHash {
	public static void main(String[] args) {
		Dictionary<Integer,String> dict = new ChainingHashtable<Integer,String>(17);

		System.out.println("Adding some stuff...");
		dict.put(3,"happy");
		dict.put(7,"bashful");
		dict.put(1,"sleepy");
		dict.put(6,"alert");
		dict.put(11,"crazy");
		dict.put(5,"joyous");
		dict.put(8,"tickled");
		System.out.println();
		System.out.println(dict);

		System.out.println("Accessing some elements: ");
		for(int i=0; i < 10; i++) { 
			String next = dict.get(i); 
			if(next != null) 
				System.out.println(" found element with key : " +i+ " " + next);
			else 
				System.out.println(" no element with key : " +i);
		}

		System.out.println("Removing some elements: ");
		for(int i=1; i < 6; i++) { 
			if(dict.containsKey(new Integer(i*4)) ) {
				String s = dict.remove(i*4);
				System.out.println(" removed Element: " + s + " key: " +(i*4));
			} else {
				System.out.println(" no element with key: " +(i*4));
			}
		}
		System.out.println();
		System.out.println(dict);

		System.out.println("Adding some elements: ");
		for(int i=1; i < 6; i++) { 
			System.out.println(" adding Element: elm_" + i + " key: " + (i*3));
			dict.put(i*3,("elm_" + i));
		}
		System.out.println();
		System.out.println(dict);
		System.out.println("finding all elements with key = 6");
		Iterator<String> iter = dict.getAll(6);
		while(iter.hasNext()) {
			System.out.println(iter.next());
		}

	}
}
